class ConvertLabel:
    """
       205., [420., 421.], 500., 550., 600., 820., 850. TO
       1, 2, 3, 4, 5, 6, 7, 8
    """

    def operation(self, data):
        """

        """
#         origin_labels = [205., 420., 421., 500., 550., 600., 820., 850]
        origin_labels = {
            205:1,
            420:2,
            421:2,
            500:3,
            550:4,
            600:5,
            820:6,
            850:7
        }

        for ori_label in origin_labels:
            data[data == ori_label] = origin_labels[ori_label]

        return data

    def __call__(self, data):
        label = data['label']
        label = self.operation(label)
        data['label'] = label
        return data

